Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.modules
Interface PyIOFile

    public interface PyIOFile

PyIOFiles encapsulates and optimise access to the different file representation. Used by cPickle and marshall.

Method Summary
`void` | `flush()`
`String` | `read(int len)`
`String` | `readlineNoNl()`
`void` | `write(char str)`
`void` | `write(String str)`

Method Detail

### write

    void write(String str)

### write

    void write(char str)

### flush

    void flush()

### read

    String read(int len)

### readlineNoNl

    String readlineNoNl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage